{config, pkgs, lib, ...}: {
  imports = [
    # Custom Bar
    # ./sketchybar.nix
    # TODO: Customize Bar Later
  ];
  environment.systemPackages = with pkgs; [
    yabai
  ];
  services.yabai = {
    # Needs heavy configuration
    enable = false;
    enableScriptingAddition = true;
    config = {
      layout = "bsp";
      focus_follows_mouse = "autofocus";
      auto_balance = "on";
      
      top_padding = 5;
      bottom_padding = 5;
      left_padding = 5;
      right_padding = 5;
      window_gap = 5;
    };

    extraConfig = ''
      yabai -m rule --add app='System Settings' manage=off
      yabai -m rule --add app='Boot Camp Assistant' manage=off
      yabai -m rule --add app='System Information' manage=off
      yabai -m rule --add title='^Figure' manage=off
    '';
  };
}
